/*
 * Table
 *
 */

:host {
  box-sizing: border-box;
  display: block;
}

::slotted(table) {
  width: 100%;
  font-family: var(--road-font, sans-serif);
  font-size: var(--road-body-small);
  line-height: 1.5;
  color: var(--road-on-surface);
  border-collapse: collapse;
  border-top: 1px solid var(--road-outline);
  border-bottom: 1px solid var(--road-outline);
}

::slotted(table th),
::slotted(table td) {
  padding: 1.5rem 1.25rem;
  text-align: left;
}

::slotted(table thead tr),
::slotted(table tbody tr:nth-child(2n)) {
  background: var(--road-surface-inverse);
}
